Summary: IPSec VPN client compatible with Cisco equipment
Name: vpnc
Version: 0.3.2
Release: fc2.1
Copyright: GPL
Group: Applications/Internet
Source0: vpnc-%{version}.tar.gz
Source1: vpnc.sysconfig
Source2: vpnc.init
Patch0: vpnc-config.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libgcrypt-devel >= 1.2, libgpg-error-devel >= 0.7
Requires: kernel >= 2.4, dev >= 3.3.1, libgcrypt >= 1.2, libgpg-error >= 0.7


%description
A VPN client compatible with Cisco's EasyVPN equipment.

Supports IPSec (ESP) with Mode Configuration and Xauth.  Supports only
shared-secret IPSec authentication, 3DES, MD5, and IP tunneling.


%prep
%setup -q
%patch0 -p1


%build
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__install} -D -m0755 vpnc %{buildroot}%{_sbindir}/vpnc
%{__install} -D -m0755 vpnc-connect %{buildroot}%{_sbindir}/vpnc-connect
%{__install} -D -m0755 vpnc-disconnect %{buildroot}%{_sbindir}/vpnc-disconnect
%{__install} -D -m0600 vpnc.conf %{buildroot}%{_sysconfdir}/vpnc.conf
%{__install} -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/vpnc
%{__install} -D -m0755 %{SOURCE2} %{buildroot}%{_initrddir}/vpnc
%{__install} -D -m0644 vpnc.8 %{buildroot}%{_mandir}/man8/vpnc.8
%{__install} -d %{buildroot}%{_localstatedir}/run/vpnc


%post
/sbin/chkconfig --add vpnc
/sbin/chkconfig vpnc off


%preun
/sbin/service vpnc stop &>/dev/null || :
/sbin/chkconfig --del vpnc


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING README TODO
%doc %{_mandir}/man8/vpnc.8*
%config(noreplace) %{_sysconfdir}/vpnc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/vpnc
%config %{_initrddir}/vpnc
%{_sbindir}/vpnc*
%{_localstatedir}/run/vpnc/


%changelog
* Fri Jan 14 2005 Gabriel Somlo <somlo@acns.colostate.edu> - 0.3.2.fc2.1
- init script modified to allow prompting for username/password

* Mon Nov 22 2004 Gabriel Somlo <somlo@acns.colostate.edu> - 0.3.2.fc2.0
- update to 0.3.2

* Mon Nov 15 2004 Gabriel Somlo <somlo@acns.colostate.edu> - 0.3.1.fc2.0
- update to 0.3.1

* Thu Oct 21 2004 Gabriel Somlo <somlo@acns.colostate.edu> - 0.2-rm+zomb.1.fc2.0
- added BuildRequires: libgpg-error-devel, Requires: libgcrypt, libgpg-error
- modified vpnc-config.patch: added Pidfile to vpnc.conf
- modified vpnc-config.patch: vpnc-connect reads routes from /etc/sysconfig/vpnc ($TUNEL_ROUTES variable)
- fixed vpnc-udpencap.patch to apply cleanly on top of new vpnc-config.patch
- created /var/run/vpnc/ directory to allow storage of pid and gateway files
- slightly reworked spec file for fedora core 2
- executables wanted to go into /usr/sbin, so I let them :)
- added /etc/init.d/vpnc startup script

* Thu Oct 14 2004 Tomas Mraz <tmraz@redhat.com> - 0.2-0.rm+zomb.1.2
- udp encapsulation

* Tue May 18 2004 Jeremy Katz <katzj@redhat.com> - 0.2-0.rm+zomb.1.1
- some 64bit fixes

* Tue May 18 2004 Jeremy Katz <katzj@redhat.com> - 0.2-0.rm+zomb.1
- update to -rm+zomb.1

* Tue May  4 2004 Jeremy Katz <katzj@redhat.com> - 0.2-0.rm+zomb.pre9
- update to 0.2-rm+zomb-pre9
- require new enough dev package for /dev/tun
- back to a barebones config, you can use vpnc-connect with a better one

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 0.1-3
- add Red Hat vpnc.conf for use with RDU vpn concentrator
- own /dev/tun (for now, should move into dev package)

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 0.1-2
- rebuild

